Last Comment Bug 667295 - Enable JavaScript Shell packaging only when js executable is generated
: Enable JavaScript Shell packaging only when js executable is generated
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Takanori MATSUURA
:
:
Mentors:
Depends on:
Blocks: 543463
  Show dependency treegraph
 
Reported: 2011-06-26 08:22 PDT by Takanori MATSUURA
Modified: 2011-06-30 08:06 PDT (History)
3 users (show)
khuey: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Generate JavaScript Shell packag only when js executable is generated (2.25 KB, patch)
2011-06-26 08:27 PDT, Takanori MATSUURA
ted: review+
Details | Diff | Splinter Review

Description Takanori MATSUURA 2011-06-26 08:22:49 PDT
When firefox is built on top of xulrunner, no js executable is generated during building firefox. So we should generate jsshell zip package only when js executable is generated.

And NSPR libraries are not generated when --enable-system-nspr is set. So we should add NSPR libraries only when internal NSPR is built.
Comment 1 Takanori MATSUURA 2011-06-26 08:27:11 PDT
Created attachment 542024 [details] [diff] [review]
Generate JavaScript Shell packag only when js executable is generated
Comment 2 Ted Mielczarek [:ted.mielczarek] 2011-06-26 10:16:00 PDT
Comment on attachment 542024 [details] [diff] [review]
Generate JavaScript Shell packag only when js executable is generated

Review of attachment 542024 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks. I thought there might be some situation where this would break, but I couldn't think of it while reviewing the original patch.
Comment 3 Ted Mielczarek [:ted.mielczarek] 2011-06-27 06:17:19 PDT
Pushed to b-s:
http://hg.mozilla.org/projects/build-system/rev/bf88ac3f2316

Takanori, thanks for the patch! In the future, could you put the bug number in the changeset description? That way when someone pushes your patch for you they don't need to edit anything, they can just import it and push it.
Comment 4 Takanori MATSUURA 2011-06-28 05:57:22 PDT
Ted,
Thank you for letting me know.
I'll carefully check the changeset description next time.
Comment 5 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-06-28 08:58:01 PDT
http://hg.mozilla.org/mozilla-central/rev/bf88ac3f2316

Note You need to log in before you can comment on or make changes to this bug.